Perform actions on assets

/dam/assets/perform Perform different types of actions on DAM assets

Available action types:

  1. Delete

  2. Move

  3. Copy

  4. Checkin (unlock)

  5. Checkout (lock)

  6. Clean checkout (force unlock)

Table 1. Details

Resource path

/api/core/v1/dam/assets/perform

HTTP method

POST

Request content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Body parameters

API consumer should provide one of asset identifiers (usually tid) to perform action/s on the asset.

Some actions require additional info that should be provided in MetaType in key/value way.

ActionType's type is required and be provided. Possible values:

  1. delete

  2. checkout

  3. checkin

  4. cleanCheckout

  5. unlink

  6. move

  7. copy

ActionType's dataType is - asset

Tables legend

"As <action> attribute" describes, that parameter is in the xml attribute of <action> tag. Otherwise, parameter should be in ItemType.

"Required groups" - one of parameter in the one group is required e.g. entity identifier (e.g. tid or id or path)

Table 2. Delete action parameters
Parameter Name As <action> attribute Required Type Description Format

tid

X

X

string

Tid of the asset that should be deleted

Table 3. Move and Copy actions parameters
Parameter Name As <action> attribute Required Type Description Format

tid

X

X G1

string

Tid of the asset that should be moved

id

X

X G1

Long

Asset identity

int64

path

X

X G1

string

Path to the asset. Starts from RNC name.

/ (forward slash) - as separator. RNC identifier - as root entry.

destinationDirTid

X G2

string

Destination directory Tid

destinationDirId

X G2

Long

Destination directory Id

int64

destinationDirPath

X G2

string

Path to the destination directory. Starts from RNC name.

/ (forward slash) - as separator. RNC identifier - as root entry.

overwrite

boolean

Overwrite file if exists

true/false

Table 4. Checkin/Checkout/Clean checkout actions parameters
Parameter Name As <action> attribute Required Type Description Format

tid

X

X

string

Tid of the asset that should checked-in/checked-out or cleaned from checkout

Return Type

PimType with filled ResponsesType

Response types contains status information about each action passed to perform.

Responses
Actions are processed separately. ResponseType for individual action need to checked. Exceptions thrown during the execution of actions will be reported in ResponseType.
Table 5. Http response codes
Code Message Datatype

200

PimType with filled ResponsesType.

PimType

400

Invalid input provided

ResponseType

500

An unknown internal error occurred

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
Delete
Delete asset by tid
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="37590039-3AEA-4A13-9C3A-C6EC3C94ADCE" type="delete"/>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="37590039-3AEA-4A13-9C3A-C6EC3C94ADCE" type="delete"/>
    </actions>
</pim>
Response example
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-04T13:24:53.286Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="37590039-3AEA-4A13-9C3A-C6EC3C94ADCE"
                action="delete">
            <status>SUCCESS</status>
            <description>The asset has been deleted successfully</description>
        </response>
    </responses>
</pim>
Error response case
The asset doesn’t exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-04T13:36:54.983Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="37590039-3AEA-4A13-9C3A-C6EC3C94ADCE2"
                action="delete">
            <status>ERROR</status>
            <description>There is no asset with the given tid</description>
        </response>
    </responses>
</pim>
Move
Move asset by tid/id/path
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml; charset=UTF8' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="52F78637-63AE-4F3E-8D4B-664E070C6AA1" type="move">
        <meta>
         <itm key="destinationDirTid">52F78637-63AE-4F3E-8D4B-664E070C6AB8</itm>
         <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>'

Move request body examples:

By Tid
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="52F78637-63AE-4F3E-8D4B-664E070C6AA1" type="move">
            <meta>
                <itm key="destinationDirTid">52F78637-63AE-4F3E-8D4B-664E070C6AB8</itm>
                <itm key="overwrite">false</itm>
            </meta>
        </action>
    </actions>
</pim>
By id
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" id="74638" type="move">
            <meta>
                <itm key="destinationDirId">55273453</itm>
                <itm key="overwrite">false</itm>
            </meta>
        </action>
    </actions>
</pim>
By path
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" path="/MAM/demo/photo.jpg" type="move">
            <meta>
                <itm key="destinationDirPath">/MAM/demo/copies/</itm>
                <itm key="overwrite">false</itm>
            </meta>
        </action>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T10:53:35.841Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                  tid="52F78637-63AE-4F3E-8D4B-664E070C6AA1"
                  id="74638"
                  action="move"
                  path="/MAM/demo/copies/photo.jpg">
            <status>SUCCESS</status>
            <description>asset has been moved</description>
            <details>
                <itm key="monitorId">77833</itm>
            </details>
        </response>
    </responses>
</pim>
Error responses
The asset doesn’t exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T10:54:05.989Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" action="move" path="/MAM/demo/copies/photo2.jpg">
            <status>ERROR</status>
            <description>The asset does not exist</description>
        </response>
    </responses>
</pim>
The destination doesn’t exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T10:54:31.036Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" action="move" path="/MAM/demo/photo.jpg">
            <status>ERROR</status>
            <description>The destination does not exist</description>
        </response>
    </responses>
</pim>
No access to the asset
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T11:06:29.771Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="9EC194D7-07B6-48A1-BDD3-19C729492F7E"
                id="76890"
                action="move"
                path="/MAM/demo/copies/tempAR/photo.jpg">
            <status>ERROR</status>
            <description>Error during moving: No access to source objects</description>
        </response>
    </responses>
</pim>
No access to the destination
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T10:54:57.295Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="0F837828-AE84-431A-BC79-65B967C6400D"
                id="73442"
                action="move"
                path="/MAM/demo/photo.jpg">
            <status>ERROR</status>
            <description>Error during moving: No access to destination object '/demo/copies/tempAR'</description>
        </response>
    </responses>
</pim>
Collision
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T11:07:26.533Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="E40ACAEB-963C-4D06-B3ED-7C01B3E51C37"
                id="77971"
                action="move"
                path="/MAM/demo/photo.jpg">
            <status>ERROR</status>
            <description>Collision during move. Collision asset name:'photo.jpg'</description>
            <details>
                <itm key="collision">true</itm>
                <itm key="monitorId">77835</itm>
            </details>
        </response>
    </responses>
</pim>
Copy
Copy asset by tid/id/path
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml; charset=UTF8' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="52F78637-63AE-4F3E-8D4B-664E070C6AA1" type="copy">
        <meta>
         <itm key="destinationDirTid">52F78637-63AE-4F3E-8D4B-664E070C6AB8</itm>
         <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>'

Copy request body examples:

By Tid
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="52F78637-63AE-4F3E-8D4B-664E070C6AA1" type="copy">
            <meta>
                <itm key="destinationDirTid">52F78637-63AE-4F3E-8D4B-664E070C6AB8</itm>
                <itm key="overwrite">false</itm>
            </meta>
        </action>
    </actions>
</pim>
By id
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" id="74638" type="copy">
            <meta>
                <itm key="destinationDirId">55273453</itm>
                <itm key="overwrite">false</itm>
            </meta>
        </action>
    </actions>
</pim>
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" path="/MAM/demo/photo.jpg" type="copy">
            <meta>
                <itm key="destinationDirPath">/MAM/demo/copies/</itm>
                <itm key="overwrite">false</itm>
            </meta>
        </action>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T10:53:35.841Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                  tid="52F78637-63AE-4F3E-8D4B-664E070C6AA1"
                  id="74638"
                  action="copy"
                  path="/MAM/demo/copies/photo.jpg">
            <status>SUCCESS</status>
            <description>asset has been copied</description>
            <details>
                <itm key="monitorId">77833</itm>
            </details>
        </response>
    </responses>
</pim>
Error responses
The asset doesn’t exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T10:54:05.989Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" action="copy" path="/MAM/demo/copies/photo2.jpg">
            <status>ERROR</status>
            <description>The asset does not exist</description>
        </response>
    </responses>
</pim>
The destination doesn’t exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T10:54:31.036Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" action="copy" path="/MAM/demo/photo.jpg">
            <status>ERROR</status>
            <description>The destination does not exist</description>
        </response>
    </responses>
</pim>
No access to the asset
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T11:06:29.771Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="9EC194D7-07B6-48A1-BDD3-19C729492F7E"
                id="76890"
                action="copy"
                path="/MAM/demo/copies/tempAR/photo.jpg">
            <status>ERROR</status>
            <description>Error during moving: No access to source objects</description>
        </response>
    </responses>
</pim>
No access to the destination
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T10:54:57.295Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="0F837828-AE84-431A-BC79-65B967C6400D"
                id="73442"
                action="copy"
                path="/MAM/demo/photo.jpg">
            <status>ERROR</status>
            <description>Error during moving: No access to destination object '/demo/copies/tempAR'</description>
        </response>
    </responses>
</pim>
Collision
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T11:07:26.533Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="E40ACAEB-963C-4D06-B3ED-7C01B3E51C37"
                id="77971"
                action="copy"
                path="/MAM/demo/photo.jpg">
            <status>ERROR</status>
            <description>Collision during copy. Collision asset name:'photo.jpg'</description>
            <details>
                <itm key="collision">true</itm>
                <itm key="monitorId">77845</itm>
            </details>
        </response>
    </responses>
</pim>
Checkin
Checkin asset by tid
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml; charset=UTF8' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="71A1021B-786C-4538-8883-70A1C6754034" type="checkin"/>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="71A1021B-786C-4538-8883-70A1C6754034" type="checkin"/>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-17T09:23:08.154Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="71A1021B-786C-4538-8883-70A1C6754034"
                action="update">
            <status>SUCCESS</status>
            <description>The asset has been checked-in</description>
        </response>
    </responses>
</pim>
Error responses
The asset doesn’t exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-14T14:38:06.734Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" tid="DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A5122" action="update">
            <status>ERROR</status>
            <description>Isy object with meta tag guid 'DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A5122' is not found.</description>
        </response>
    </responses>
</pim>
The asset is locked by another user
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-14T14:40:00.264Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" tid="DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A512" action="update">
            <status>ERROR</status>
            <description>The asset is checked-out (locked) by another user</description>
        </response>
    </responses>
</pim>
No access to the asset
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-14T14:40:00.264Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" tid="DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A512" action="update">
            <status>ERROR</status>
            <description>The asset access is denied</description>
        </response>
    </responses>
</pim>
Checkout
Checkout asset by tid
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml; charset=UTF8' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="71A1021B-786C-4538-8883-70A1C6754034" type="checkout"/>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="71A1021B-786C-4538-8883-70A1C6754034" type="checkout"/>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-17T09:23:08.154Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="71A1021B-786C-4538-8883-70A1C6754034"
                action="update">
            <status>SUCCESS</status>
            <description>The asset has been checked-out</description>
        </response>
    </responses>
</pim>
Error responses
The asset doesn’t exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-14T14:38:06.734Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" tid="DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A5122" action="update">
            <status>ERROR</status>
            <description>Isy object with meta tag guid 'DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A5122' is not found.</description>
        </response>
    </responses>
</pim>
The asset is locked by another user
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-14T14:40:00.264Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" tid="DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A512" action="update">
            <status>ERROR</status>
            <description>The asset is checked-out (locked) by another user</description>
        </response>
    </responses>
</pim>
No access to the asset
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-14T14:40:00.264Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" tid="DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A512" action="update">
            <status>ERROR</status>
            <description>The asset access is denied</description>
        </response>
    </responses>
</pim>
Clean checkout
Clean checkout asset by tid
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml; charset=UTF8' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="71A1021B-786C-4538-8883-70A1C6754034" type="cleanCheckout"/>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="asset" tid="71A1021B-786C-4538-8883-70A1C6754034" type="cleanCheckout"/>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-17T09:23:08.154Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="71A1021B-786C-4538-8883-70A1C6754034"
                action="update">
            <status>SUCCESS</status>
            <description>The asset has been clean from checkout</description>
        </response>
    </responses>
</pim>
Error responses
The asset doesn’t exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-14T14:38:06.734Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" tid="DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A5122" action="update">
            <status>ERROR</status>
            <description>Isy object with meta tag guid 'DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A5122' is not found.</description>
        </response>
    </responses>
</pim>
No access to the asset
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-14T14:40:00.264Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset" tid="DB2B33D8-C9DF-4A0B-BCC4-F5222CB8A512" action="update">
            <status>ERROR</status>
            <description>The asset access is denied</description>
        </response>
    </responses>
</pim>

Welcome to the AI Chat!

Write a prompt to get started...